﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/Themes/Default/Views/Shared/Site.Master"%>
<%@ Import Namespace="AFDS.BusinessLogic" %>
<%@ Import Namespace="AFDS.Core" %>
<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
<% Html.RenderPartial("AFDSSubMenu");%>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">    
<% var sites = (ViewData["Sites"] as List<Site>); %>
<fieldset class="MvcMembership">
	<legend>Sites</legend>
	<% if( sites != null && sites.Count > 0 ){ %>	
	<ul>
		<% foreach( var s in sites ){ %>
		<li><% = s.Name %></li>
		<% } %>
	</ul>
	<% }else{ %>
	<p>No Sites have been entered into the system yet. <%= Html.ActionLink("Create a New Site", "EditSiteForm/add", "Admin", new { id = "0" }, null)%></p>
	<% } %>
</fieldset>

<% var categories = (ViewData["Categories"] as List<Category>); %>
<fieldset class="MvcMembership">
	<legend>Categories</legend>
	<% if (categories != null && categories.Count > 0)
    { %>	
	<ul>
		<% foreach (var c in categories)
     { %>
		<li><% = c.Name %></li>
		<% } %>
	</ul>
	<% }else{ %>
	<p>No Categories have been entered into the system yet. <%= Html.ActionLink("Create a New Site", "EditSiteForm/add", "Admin", new { id = "0" }, null)%></p>
	<% } %>
</fieldset>


</asp:Content>
