﻿<%@ Control Language="C#" AutoEventWireup="true" Inherits="AFDS.Controls.Web.CategoryViewBase" %>

<%@ Import Namespace="AFDS.BusinessLogic" %>
<%@ Import Namespace="AFDS.Core" %>

<div class="category_view">
    <h2 class="titlecat"><%=Html.ActionLink(Category.Name, Category.Slug, "category")%></h2>
    
    <%
      if (childs != null && childs.Count > 0) {%>
        <div class="subcats">
          <ul>
         <%       
         foreach(Category c in childs){
           %>
           
              <li>
                <%=Html.ActionLink(c.Name, c.Slug, "category")%>
              </li>       
           <%     
         }         
          %>      
          </ul>    
        </div>      
      <%}%>   
    
    <div class="viewsites">
        <asp:Repeater ID="sites" runat="server">
            <HeaderTemplate>
                <table>
                    <tr>
                        <td>

            </HeaderTemplate>
            <ItemTemplate>
                <div style=" width:265px; float:left; margin-right: 5px; margin-top: 5px; margin-bottom: 18px;">
                    <div class="siteimgbox">
                      <div class="ratesite">
                        <a href="javascript:" onclick="javascript: Rate('<%#  DataBinder.Eval(Container.DataItem, "Id")%>', 1);">+</a>
                        <div class="ratescore">
                          <%# String.Format("{0:0.0}", DataBinder.Eval(Container.DataItem, "Score"))%>
                        </div>                        
                        <a href="javascript:" onclick="javascript: Rate('<%#  DataBinder.Eval(Container.DataItem, "Id")%>', -1);">-</a>
                      </div>
                      <div class="imgsitebox">
                          <asp:Image ID="image" ImageUrl="/img.axd?picture=[filename]&width=120" runat="server" />                        
                      </div>                                    
                    </div>
    
                    <b>Name: </b><asp:HyperLink ID="linksite" runat="server"></asp:HyperLink><br />
                    <label id="sitedesc" runat="server"></label>                
                </div>
            </ItemTemplate>        
            <FooterTemplate>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <asp:Literal ID="pages" runat=server></asp:Literal>
                        </td>
                    </tr>
                </table>                
            </FooterTemplate>
        </asp:Repeater>        
    </div>    
</div>
