﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Configuration.Provider;

namespace AFDS.Core.Base
{
    public abstract class CategoryProviderBase : ProviderBase, IDisposable
    {
        public abstract ICategory Select(Guid id);
        public abstract System.Collections.Generic.List<ICategory> GetAll();
        public abstract void Insert(ICategory category);
        public abstract void Update(ICategory category);
        public abstract void Delete(ICategory category);
        public abstract void Dispose();
    }
}