﻿<%@ Page Language="C#" MasterPageFile="~/Themes/Default/Views/Shared/Site.Master" AutoEventWireup="true" Inherits="System.Web.Mvc.ViewPage" %>
<asp:Content ID="content" ContentPlaceHolderID="MainContent" runat="server">

<h2 class="MvcMembership">Users In "<% =ViewData["Role"] %>" Role</h2>
<h3 class="MvcMembership"><% =Html.ActionLink( "<< Return to Membership Administration", "Index", "MembershipAdministration" )%></h3>

<fieldset class="MvcMembership">
	<legend>Users In "<% =ViewData["Role"] %>" Role</legend>

	<% if( ((IList)ViewData["Users"]).Count > 0 ){ %>
	<ol>
		<% foreach( MembershipUser user in (IList)ViewData["Users"] ){ %>
		<li><% =Html.ActionLink(user.UserName, "UserDetails", "MembershipAdministration", new { username = (string)user.UserName }, null)%> (<% =Html.ActionLink("Remove", "RemoveUserFromRole", "MembershipAdministration", new { userName = (string)user.UserName, roleName = ViewData["Role"].ToString() }, null)%>)</li>
		<% } %>
	</ol>
	<% }else{ %>
	<div>No users have been added to this role yet.</div>
	<% } %>
</fieldset>

</asp:Content>